Page MenuHomePhabricator

Ensure deployment_server is global
Closed, ResolvedPublic

Description

The deployment_server configuration variable is used by scap to determine which of our deployment masters (tin or mira) we should be looking at. This should be set in puppet and that's about it; however, it's probably set in lots of places.

Details

Related Gerrit Patches:
3d2png/deploy : masterScap: Remove git_server from scap.cfg
analytics/turnilo/deploy : masterScap: Remove git_server from scap.cfg
analytics/pivot/deploy : masterScap: Remove git_server from scap.cfg
analytics/refinery/scap : masterScap: Remove git_server from scap.cfg
analytics/aqs/deploy : masterScap: Remove git_server from scap.cfg
operations/software/cassandra-twcs : masterScap: Remove git_server from scap.cfg
maps/tilerator/deploy : masterScap: Remove git_server from scap.cfg
eventlogging/scap/eventbus : masterScap: Remove git_server from scap.cfg
mediawiki/services/electron-render/deploy : masterScap: Remove git_server from scap.cfg
mediawiki/services/zotero/translation-server : masterScap: Remove git_server from scap.cfg
mediawiki/services/zotero/translators : masterScap: Remove git_server from scap.cfg
mediawiki/services/change-propagation/deploy : masterScap: Remove git_server from scap.cfg
operations/software/prometheus_jmx_exporter : masterScap: Remove git_server from scap.cfg
mediawiki/services/cxserver/deploy : masterScap: Remove git_server from scap.cfg
wikidata/query/deploy : masterScap: Remove git_server from scap.cfg
labs/striker/deploy : masterScap: Remove git_server from scap.cfg
mediawiki/services/ores/deploy : masterScap: Remove git_server from scap.cfg
mediawiki/services/parsoid/deploy : masterScap: Remove git_server from scap.cfg
mediawiki/services/mobileapps/deploy : masterScap: Remove git_server from scap.cfg
mediawiki/services/trending-edits/deploy : masterScap: Remove git_server from scap.cfg
mediawiki/services/mathoid/deploy : masterScap: Remove git_server from scap.cfg
mediawiki/services/graphoid/deploy : masterScap: Remove git_server from scap.cfg
mediawiki/services/restbase/deploy : masterScap: Remove git_server from scap.cfg
mediawiki/services/citoid/deploy : masterScap: Remove git_server from scap.cfg
operations/puppet : productionScap: set deployment_server correctly
mediawiki/services/eventstreams/deploy : masterScap: Remove git_server from scap.cfg

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2017, 5:05 PM
thcipriani triaged this task as High priority.Apr 12 2017, 5:06 PM
thcipriani moved this task from Needs triage to Debt on the Scap board.

Change 347898 had a related patch set uploaded (by Thcipriani):
[operations/puppet@production] Scap: set deployment_server correctly

https://gerrit.wikimedia.org/r/347898

Change 347913 had a related patch set uploaded (by Thcipriani):
[mediawiki/services/change-propagation/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347913

Change 347914 had a related patch set uploaded (by Thcipriani):
[mediawiki/services/citoid/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347914

Change 347915 had a related patch set uploaded (by Thcipriani):
[mediawiki/services/cxserver/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347915

Change 347916 had a related patch set uploaded (by Thcipriani):
[mediawiki/services/electron-render/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347916

Change 347917 had a related patch set uploaded (by Thcipriani):
[eventlogging/scap/eventbus@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347917

Change 347918 had a related patch set uploaded (by Thcipriani):
[mediawiki/services/eventstreams/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347918

Change 347919 had a related patch set uploaded (by Thcipriani):
[mediawiki/services/graphoid/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347919

Change 347920 had a related patch set uploaded (by Thcipriani):
[mediawiki/services/mathoid/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347920

Change 347921 had a related patch set uploaded (by Thcipriani):
[mediawiki/services/mobileapps/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347921

Change 347922 had a related patch set uploaded (by Thcipriani):
[mediawiki/services/ores/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347922

Change 347923 had a related patch set uploaded (by Thcipriani):
[mediawiki/services/parsoid/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347923

Change 347924 had a related patch set uploaded (by Thcipriani):
[operations/software/prometheus_jmx_exporter@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347924

Change 347925 had a related patch set uploaded (by Thcipriani):
[mediawiki/services/restbase/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347925

Change 347926 had a related patch set uploaded (by Thcipriani):
[labs/striker/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347926

Change 347927 had a related patch set uploaded (by Thcipriani):
[maps/tilerator/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347927

Change 347928 had a related patch set uploaded (by Thcipriani):
[mediawiki/services/trending-edits/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347928

Change 347929 had a related patch set uploaded (by Thcipriani):
[wikidata/query/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347929

Change 347930 had a related patch set uploaded (by Thcipriani):
[mediawiki/services/zotero/translation-server@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347930

Change 347931 had a related patch set uploaded (by Thcipriani):
[mediawiki/services/zotero/translators@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347931

Change 347918 merged by Ottomata:
[mediawiki/services/eventstreams/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347918

Change 347898 merged by Filippo Giunchedi:
[operations/puppet@production] Scap: set deployment_server correctly

https://gerrit.wikimedia.org/r/347898

Change 347914 merged by Mobrovac:
[mediawiki/services/citoid/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347914

Mentioned in SAL (#wikimedia-operations) [2017-04-13T16:21:15Z] <mobrovac@tin> Started deploy [citoid/deploy@b8c4cb2]: Test deploy for T162814

Mentioned in SAL (#wikimedia-operations) [2017-04-13T16:23:39Z] <mobrovac@tin> Finished deploy [citoid/deploy@b8c4cb2]: Test deploy for T162814 (duration: 02m 24s)

Change 347925 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347925

Change 347919 merged by Mobrovac:
[mediawiki/services/graphoid/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347919

Change 347920 merged by Mobrovac:
[mediawiki/services/mathoid/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347920

Change 347928 merged by Mobrovac:
[mediawiki/services/trending-edits/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347928

Change 347921 merged by Mobrovac:
[mediawiki/services/mobileapps/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347921

Change 347923 merged by jenkins-bot:
[mediawiki/services/parsoid/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347923

Change 347922 merged by Halfak:
[mediawiki/services/ores/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347922

Change 347926 merged by jenkins-bot:
[labs/striker/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347926

Change 347929 merged by Smalyshev:
[wikidata/query/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347929

Change 347915 merged by jenkins-bot:
[mediawiki/services/cxserver/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347915

fgiunchedi moved this task from Backlog to Radar on the User-fgiunchedi board.Apr 18 2017, 1:57 PM

Change 347924 merged by Filippo Giunchedi:
[operations/software/prometheus_jmx_exporter@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347924

Change 347913 merged by Mobrovac:
[mediawiki/services/change-propagation/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347913

Change 347931 merged by Mobrovac:
[mediawiki/services/zotero/translators@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347931

Change 347930 merged by Mobrovac:
[mediawiki/services/zotero/translation-server@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347930

Change 347916 merged by Mobrovac:
[mediawiki/services/electron-render/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347916

Change 347917 abandoned by Ottomata:
Scap: Remove git_server from scap.cfg

Reason:
Didn't see this, done in https://gerrit.wikimedia.org/r/#/c/350241/

https://gerrit.wikimedia.org/r/347917

Change 347927 merged by Gehel:
[maps/tilerator/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/347927

Change 441234 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[3d2png/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/441234

Change 441235 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/software/cassandra-twcs@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/441235

Change 441236 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[analytics/pivot/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/441236

Change 441237 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[analytics/aqs/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/441237

Change 441238 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[analytics/refinery/scap@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/441238

Change 441239 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[analytics/turnilo/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/441239

Change 441235 merged by Eevans:
[operations/software/cassandra-twcs@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/441235

Change 441237 merged by Elukey:
[analytics/aqs/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/441237

Change 441238 merged by Elukey:
[analytics/refinery/scap@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/441238

Change 441236 merged by Elukey:
[analytics/pivot/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/441236

Change 441239 merged by Elukey:
[analytics/turnilo/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/441239

Change 441234 merged by Matthias Mullie:
[3d2png/deploy@master] Scap: Remove git_server from scap.cfg

https://gerrit.wikimedia.org/r/441234

thcipriani closed this task as Resolved.Aug 29 2018, 6:31 PM
thcipriani claimed this task.

All repos that are deployed have merged patches unsetting git_server so they should now obey the globally set git_server in /etc/scap.cfg. These patches may not yet be pulled down to the deployment machines, but will likely be for the next deployment for each repo.

Calling this complete.

Gilles added a subscriber: Gilles.Feb 21 2019, 12:20 PM
This comment was removed by Gilles.